> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Settings

> List this tenant's settings, optionally filtered by group.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/settings
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/settings:
    get:
      tags:
        - admin:settings
      summary: List Settings
      description: List this tenant's settings, optionally filtered by group.
      operationId: list_settings_api_v1_admin_settings_get
      parameters:
        - name: group
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by settings group
            title: Group
          description: Filter by settings group
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_SettingOut__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_SettingOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/SettingOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[SettingOut]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SettingOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        store_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Store Id
        group:
          type: string
          title: Group
        key:
          type: string
          title: Key
        value:
          anyOf:
            - type: string
            - type: 'null'
          title: Value
        is_serialized:
          type: boolean
          title: Is Serialized
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - store_id
        - group
        - key
        - value
        - is_serialized
        - created_at
      title: SettingOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````